package com.unis.framework.dict.config;

import com.unis.framework.dict.core.DictFrameworkUtils;
import com.unis.framework.excel.core.util.ExcelUtils;
import com.unis.module.system.api.dict.DictDataApi;
import org.springframework.boot.autoconfigure.AutoConfiguration;
import org.springframework.context.annotation.Bean;

@AutoConfiguration
public class DeliveryDictAutoConfiguration {

    @Bean
    @SuppressWarnings("InstantiationOfUtilityClass")
    public DictFrameworkUtils dictUtils(DictDataApi dictDataApi) {
        DictFrameworkUtils.init(dictDataApi);
        return new DictFrameworkUtils();
    }

    @Bean
    public ExcelUtils excelUtils() {
        return new ExcelUtils();
    }
}
